Версия API Graph

Whats App Business Account Subscribed Apps

Чтение

Get a list of apps subscribed to webhooks for the WABA.

Пример

Graph API Explorer
GET /v25.0/{whats-app-business-account-id}/subscribed_apps HTTP/1.1
Host: graph.facebook.com
/* PHP SDK v5.0.0 */
/* make the API call */
try {
  // Returns a `Facebook\FacebookResponse` object
  $response = $fb->get(
    '/{whats-app-business-account-id}/subscribed_apps',
    '{access-token}'
  );
} catch(Facebook\Exceptions\FacebookResponseException $e) {
  echo 'Graph returned an error: ' . $e->getMessage();
  exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
  echo 'Facebook SDK returned an error: ' . $e->getMessage();
  exit;
}
$graphNode = $response->getGraphNode();
/* handle the result */
/* make the API call */
FB.api(
    "/{whats-app-business-account-id}/subscribed_apps",
    function (response) {
      if (response && !response.error) {
        /* handle the result */
      }
    }
);
/* make the API call */
new GraphRequest(
    AccessToken.getCurrentAccessToken(),
    "/{whats-app-business-account-id}/subscribed_apps",
    null,
    HttpMethod.GET,
    new GraphRequest.Callback() {
        public void onCompleted(GraphResponse response) {
            /* handle the result */
        }
    }
).executeAsync();
/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
                               initWithGraphPath:@"/{whats-app-business-account-id}/subscribed_apps"
                                      parameters:params
                                      HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
                                      id result,
                                      NSError *error) {
    // Handle the result
}];
Чтобы узнать, как использовать API Graph, ознакомьтесь с нашим руководством по API Graph.

Параметры

Эта конечная точка не содержит параметров.

Поля

При чтении с данной границы контекста будет возвращен результат в формате JSON:

{ "data": [], "paging": {} }

data

Список узлов «WhatsAppApplication».

paging

Для получения дополнительных сведений о пагинации смотрите Руководство по API Graph.

Error Codes

ОшибкаОписание
100Invalid parameter
200Permissions error
80008There have been too many calls to this WhatsApp Business account. Wait a bit and try again. For more info, please refer to https://developers.facebook.com/docs/graph-api/overview/rate-limiting.

Создание

Вы можете сделать запрос POST к границе subscribed_apps из этих местоположений:
При размещении публикации на этой границе создается a WhatsAppApplication.

Параметры

ПараметрОписание
override_callback_uri
URI

Required if overriding the callback URL.


New callback URL. See Overriding the Callback URL.

verify_token
string

Required if overriding the callback URL.


Callback verification token. See Overriding the Callback URL.

Тип возврата

Эта конечная точка поддерживает чтение после записи и будет считывать узел, в который вы сделали публикацию.
Struct {
success: bool,
}

Error Codes

ОшибкаОписание
100Invalid parameter
2200subscription validation failed
200Permissions error
2201received an invalid hub.challenge while validating endpoint
190Invalid OAuth 2.0 Access Token
80008There have been too many calls to this WhatsApp Business account. Wait a bit and try again. For more info, please refer to https://developers.facebook.com/docs/graph-api/overview/rate-limiting.

Обновление

Нельзя выполнить эту операцию в этой конечной точке.

Удаление

Вы можете отменить связывание a WhatsAppApplication и a WhatsAppBusinessAccount, отправив запрос DELETE на адрес /{whats_app_business_account_id}/subscribed_apps.

Параметры

Эта конечная точка не содержит параметров.

Тип возврата

Struct {
success: bool,
}

Error Codes

ОшибкаОписание
100Invalid parameter
200Permissions error
80008There have been too many calls to this WhatsApp Business account. Wait a bit and try again. For more info, please refer to https://developers.facebook.com/docs/graph-api/overview/rate-limiting.
190Invalid OAuth 2.0 Access Token